com.tibbo.aggregate.common.expression.util

## Class ContextExpressionTracer

- java.lang.Object
- - com.tibbo.aggregate.common.expression.util.ContextExpressionTracer

- All Implemented Interfaces:
    Tracer

      public class ContextExpressionTracer
      extends java.lang.Object
      implements Tracer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `E_TRACE`
    `static java.lang.String` | `EF_TRACE_MESSAGE`
    `static java.lang.String` | `EF_TRACE_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextExpressionTracer(Context context, java.lang.String traceEventGroup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Context` | `getContext()`
    `void` | `install()`
    `void` | `trace(java.lang.Object value, java.lang.String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### E_TRACE

          public static final java.lang.String E_TRACE

      See Also:
        Constant Field Values

    - #### EF_TRACE_VALUE

          public static final java.lang.String EF_TRACE_VALUE

      See Also:
        Constant Field Values

    - #### EF_TRACE_MESSAGE

          public static final java.lang.String EF_TRACE_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContextExpressionTracer

          public ContextExpressionTracer(Context context,
                                         java.lang.String traceEventGroup)

  - ### Method Detail

    - #### install

          public void install()

    - #### trace

          public void trace(java.lang.Object value,
                            java.lang.String message)

      Specified by:
        `trace` in interface `Tracer`

    - #### getContext

          protected Context getContext()